%define	fversion	0.3

%define svn	0
%define rel	1
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%{name}-%{svn}.tar.lzma
%define dirname		%{name}
%else
%define release		%mkrel %rel
%define distname	%{name}-%{version}.tar.bz2
%define dirname		%{name}-%{version}
%endif

%define major		10
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d

Summary:	User interface library with embedded multimedia
Name:		pigment
Version:	0.3.16
Release:	%{release}
Source0:	http://elisa.fluendo.com/static/download/pigment/%{distname}
License:	LGPLv2+
Group:		Development/C
URL:		https://code.fluendo.com/pigment/trac
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libx11-devel
BuildRequires:	libxrandr-devel
BuildRequires:	gtk-doc
BuildRequires:	libgstreamer-devel >= 0.10
BuildRequires:	libgstreamer0.10-plugins-base-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	glib2-devel
BuildRequires:	cairo-devel
BuildRequires:	pango-devel
BuildRequires:	mesaglu-devel

%description
Pigment is a library designed to easily build user interfaces
with embedded multimedia. Its design allows to use it on several
platforms, thanks to a plugin system allowing to choose the underlying
graphical API. Pigment is the rendering engine of Elisa, the Fluendo
Media Center project.

%package devel
Group: Development/C
Summary: Development headers for Pigment
Requires: %{name}

%description devel
Pigment is a library designed to easily build user interfaces
with embedded multimedia. Its design allows to use it on several
platforms, thanks to a plugin system allowing to choose the underlying
graphical API. Pigment is the rendering engine of Elisa, the Fluendo
Media Center project.

%package -n %{libname}
Group: System/Libraries
Summary: Shared library of Pigment

%description -n %{libname}
Pigment is a library designed to easily build user interfaces
with embedded multimedia. Its design allows to use it on several
platforms, thanks to a plugin system allowing to choose the underlying
graphical API. Pigment is the rendering engine of Elisa, the Fluendo
Media Center project.

%package -n %{develname}
Group: Development/C
Summary: Development headers for shared library of Pigment
Requires: %{libname} = %version
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: %{mklibname pigment 0 -d}

%description -n %{develname}
Pigment is a library designed to easily build user interfaces
with embedded multimedia. Its design allows to use it on several
platforms, thanks to a plugin system allowing to choose the underlying
graphical API. Pigment is the rendering engine of Elisa, the Fluendo
Media Center project.

%prep
%setup -q -n %{dirname}

%build
%if %svn
./autogen.sh
%else
# (Anssi 03/2008) drop rpath on x86_64
# autoreconf
%endif
%configure2_5x --enable-gtk-doc
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%dir %{_libdir}/%{name}-%{fversion}/%{version}
%{_libdir}/%{name}-%{fversion}/%{version}/*.so
%{_datadir}/gtk-doc/html/%{name}

%files devel
%defattr(-,root,root)
%{_libdir}/%{name}-%{fversion}/%{version}/*.*a
%{_includedir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lib*.so
%attr(644,root,root) %{_libdir}/lib*a
%{_libdir}/pkgconfig/%{name}-gtk-%{fversion}.pc
%{_libdir}/pkgconfig/%{name}-%{fversion}.pc
%{_libdir}/pkgconfig/%{name}-imaging-%{fversion}.pc



%changelog
* Mon Apr 13 2009 Adam Williamson <awilliamson@mandriva.org> 0.3.16-1mdv2009.1
+ Revision: 366724
- bump major
- new release 0.3.16

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 0.3.14-1mdv2009.1
+ Revision: 349713
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.13-1mdv2009.1
+ Revision: 318555
- new release 0.3.13

* Mon Dec 01 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.12-1mdv2009.1
+ Revision: 308871
- new release 0.3.12

* Thu Nov 13 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.11-2mdv2009.1
+ Revision: 302732
- rebuilt against new libxcb

* Fri Oct 10 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.11-1mdv2009.1
+ Revision: 291584
- new release 0.3.11

* Tue Sep 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.10-1mdv2009.0
+ Revision: 289947
- new version (and major)

* Wed Sep 24 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.9-1mdv2009.0
+ Revision: 287961
- clean and update file list
- drop underlink.patch (merged upstream)
- update URL
- new release 0.3.9 (new major 7)

* Wed Jul 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.7-1mdv2009.0
+ Revision: 254152
- add underlink.patch from upstream svn: fixes underlinking (breaks build)
- bump major
- streamline spec
- new release 0.3.7

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Mar 06 2008 Anssi Hannula <anssi@mandriva.org> 0.3.5-2mdv2008.1
+ Revision: 180265
- run autoreconf in order to drop RPATHs from binaries on lib64 systems,
  that were forcing the loading of mesa libGL.so.1 even on systems with
  proprietary drivers (fixes launching of elisa)

  + Adam Williamson <awilliamson@mandriva.org>
    - buildrequires libgstreamer-devel >= 0.10 (should work for 2008 and cooker)
    - revert last change, not valid on Cooker
    - buildrequires libgstreamer0.10 instead of gstreamer0.10 (for 2008 backport)

* Mon Mar 03 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.5-1mdv2008.1
+ Revision: 178146
- new release 0.3.5, new library major 4

* Sat Mar 01 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4.3-1mdv2008.1
+ Revision: 177118
- new release 0.3.4.3

* Wed Feb 27 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4.2-1mdv2008.1
+ Revision: 175884
- new release 0.3.4.2

* Tue Feb 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4.1-0.1089.1mdv2008.1
+ Revision: 175189
- new snapshot 1089

* Sat Feb 16 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4.1-0.1073.1mdv2008.1
+ Revision: 169241
- add --enable-gtk-doc parameter to configure to ensure docs are built
- drop visual.patch (no longer needed, I think)
- update to latest svn (needed to fix xcb issue affecting elisa)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix gstreamer0.10-devel BR for x86_64

* Sat Jan 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-2mdv2008.1
+ Revision: 158170
- buildrequires gtk+2-devel so the GTK+ bit gets built

* Fri Jan 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-1mdv2008.1
+ Revision: 158147
- br pango-devel
- fix gdkpixbuf BR
- remove one more rogue python br
- buildrequires gdk-pixbuf-devel
- spec clean
- new version 0.3.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 115703
- 0.3.2
- add docs

* Fri Aug 24 2007 Adam Williamson <awilliamson@mandriva.org> 0.3.1-1mdv2008.0
+ Revision: 70825
- update file lists
- drop gdk-pixbuf-devel buildrequires (not needed)
- use Fedora license policy
- new devel policy
- new major 1
- new release 0.3.1
- run ldconfig on post and postun

* Thu May 10 2007 Adam Williamson <awilliamson@mandriva.org> 0.1.5-1mdv2008.0
+ Revision: 25838
- Import pigment

